[Prev: HEADBODYSEP] | [Resources][TOC] | [Next: ICONS]

# HTMLEXT

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_HTMLEXT=extension`

Element

  `<HTMLEXT>`
  extension
  `</HTMLEXT>`

Command-line Option

  `-htmlext` extension

## Description

HTMLEXT defines the extension for all HTML files generated by MHonArc. The value of the resource should NOT include the "`.`".

WARNING: | The value for HTMLEXT should not be changed after an archive is created. If you change the value of HTMLEXT, MHonArc will not be able to properly update an archive.

## Default Setting

`html`

## Resource Variables

N/A

## Examples

If you define server-side directives to be included in HTML pages, you may need to redefine the extension for the files so the HTTP server will parse the HTML files to find the server-side directives. The standard extension used for HTML files with server-side directives is "`shtml`".

## Version

2.1.0

## See Also

[Prev: HEADBODYSEP] | [Resources][TOC] | [Next: ICONS]